[Testing Update] 2018-07-21 - Browsers, Pamac-Cli, Deepin, Gnome, LVM2, PHP

update
testing

#1

Hi community,

Welcome to another testing update. So what do we have with this one?

  • we updated Palemoon and Firefox browsers
  • some new Deepin & Gnome packages
  • php got updated
  • lvm2 issue got fixed
  • Pamac got an enhanced cli mode

We hope with all these changes Manjaro to be more efficient for you all.


If you are curious about the latest state of development for the upcoming Manjaro-Illyria 18.0 release, you now have the opportunity to download a beta-build of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling efforts:

Our KDE fans may try our beta-build with the latest KDE v5.13 instead.


Latest information about the intel-cpu-bug risk and our efforts can be found here.


Current supported Kernels

  • linux316 3.16.57
  • linux318 3.18.115 [EOL]
  • linux41 4.1.52 [EOL]
  • linux44 4.4.141
  • linux49 4.9.113
  • linux414 4.14.56
  • linux415 4.15.18 [EOL]
  • linux416 4.16.18 [EOL]
  • linux417 4.17.7
  • linux418 4.18-rc5
  • linux414-rt 4.14.52_rt34
  • linux416-rt 4.16.18_rt9

Package Updates (Sat Jul 21 07:13:46 CEST 2018)

Sync Packages

  • testing core x86_64: 2 new and 2 removed package(s)
  • testing multilib x86_64: 1 new and 1 removed package(s)
  • testing extra x86_64: 46 new and 45 removed package(s)
  • testing community x86_64: 181 new and 181 removed package(s)

Overlay Packages

  • testing core x86_64: 0 new and 1 removed package(s)
  • testing extra x86_64: 2 new and 2 removed package(s)
  • testing community x86_64: 64 new and 63 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-19           2018-07-21
-------------------------------------------------------------------------------
           adapta-black-breath-theme           3.94.0.7-1          3.94.0.20-1
             adapta-black-maia-theme           3.94.0.7-1          3.94.0.20-1
                 adapta-breath-theme           3.94.0.7-1          3.94.0.20-1
                   adapta-maia-theme           3.94.0.7-1          3.94.0.20-1
      deepin-desktop-schemas-manjaro             3.2.14-3             3.2.15-1
                   deepin-session-ui            4.4.5-2.1            4.4.7-1.1
                         linux416-rt        4.16.18_rt9-1       4.16.18_rt10-1
               linux416-rt-acpi_call              1.1.0-8              1.1.0-9
                linux416-rt-bbswitch                0.8-8                0.8-9
             linux416-rt-broadcom-wl       6.30.223.271-8       6.30.223.271-9
                linux416-rt-catalyst      1:15.201.1151-8      1:15.201.1151-9
                 linux416-rt-headers        4.16.18_rt9-1       4.16.18_rt10-1
                  linux416-rt-nvidia           1:396.24-8           1:396.24-9
            linux416-rt-nvidia-304xx          1:304.137-8          1:304.137-9
            linux416-rt-nvidia-340xx            340.107-3            340.107-4
            linux416-rt-nvidia-390xx             390.67-3             390.67-4
                linux416-rt-nvidiabl               0.88-8               0.88-9
                   linux416-rt-r8168           8.045.08-8           8.045.08-9
                linux416-rt-tp_smapi               0.41-8               0.41-9
             linux416-rt-vhba-module           20161009-8           20161009-9
linux416-rt-virtualbox-guest-modules             5.2.16-1             5.2.16-2
 linux416-rt-virtualbox-host-modules             5.2.16-1             5.2.16-2
                   manjaro-gdm-theme           20180630-1           20180719-1
                           musescore              2.3-1.1            2.3.1-1.1
                        palemoon-bin             27.9.3-2             27.9.4-1
                    palemoon-i18n-ar             27.9.3-1             27.9.4-1
                    palemoon-i18n-bg             27.9.3-1             27.9.4-1
                    palemoon-i18n-cs             27.9.3-1             27.9.4-1
                    palemoon-i18n-da             27.9.3-1             27.9.4-1
                    palemoon-i18n-de             27.9.3-1             27.9.4-1
                    palemoon-i18n-el             27.9.3-1             27.9.4-1
                 palemoon-i18n-en-gb             27.9.3-1             27.9.4-1
                 palemoon-i18n-es-ar             27.9.3-1             27.9.4-1
                 palemoon-i18n-es-es             27.9.3-1             27.9.4-1
                 palemoon-i18n-es-mx             27.9.3-1             27.9.4-1
                    palemoon-i18n-fi             27.9.3-1             27.9.4-1
                    palemoon-i18n-fr             27.9.3-1             27.9.4-1
                    palemoon-i18n-gl             27.9.3-1             27.9.4-1
                    palemoon-i18n-hr             27.9.3-1             27.9.4-1
                    palemoon-i18n-hu             27.9.3-1             27.9.4-1
                    palemoon-i18n-id             27.9.3-1             27.9.4-1
                    palemoon-i18n-is             27.9.3-1             27.9.4-1
                    palemoon-i18n-it             27.9.3-1             27.9.4-1
                    palemoon-i18n-ja             27.9.3-1             27.9.4-1
                    palemoon-i18n-kn             27.9.3-1             27.9.4-1
                    palemoon-i18n-ko             27.9.3-1             27.9.4-1
                    palemoon-i18n-nl             27.9.3-1             27.9.4-1
                    palemoon-i18n-pl             27.9.3-1             27.9.4-1
                 palemoon-i18n-pt-br             27.9.3-1             27.9.4-1
                 palemoon-i18n-pt-pt             27.9.3-1             27.9.4-1
                    palemoon-i18n-ro             27.9.3-1             27.9.4-1
                    palemoon-i18n-ru             27.9.3-1             27.9.4-1
                    palemoon-i18n-sk             27.9.3-1             27.9.4-1
                    palemoon-i18n-sl             27.9.3-1             27.9.4-1
                    palemoon-i18n-sr             27.9.3-1             27.9.4-1
                 palemoon-i18n-sv-se             27.9.3-1             27.9.4-1
                    palemoon-i18n-tl             27.9.3-1             27.9.4-1
                    palemoon-i18n-tr             27.9.3-1             27.9.4-1
                    palemoon-i18n-uk             27.9.3-1             27.9.4-1
                    palemoon-i18n-vi             27.9.3-1             27.9.4-1
                 palemoon-i18n-zh-cn             27.9.3-1             27.9.4-1
                 palemoon-i18n-zh-tw             27.9.3-1             27.9.4-1
                                 yay              7.887-1              8.922-1
                firefox-kde-opensuse                    -             61.0.1-2


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-19           2018-07-21
-------------------------------------------------------------------------------
                      acpi_call-dkms            1.1.0-141            1.1.0-143
                    adapta-gtk-theme           3.94.0.7-1          3.94.0.20-1
                           argyllcms              2.0.0-1              2.0.1-1
                             bladerf              1.8.0-1              1.9.0-1
                             calibre             3.27.1-1             3.28.0-1
                        cozy-desktop              3.7.0-1              3.8.1-1
                          deepin-api             3.1.26-1             3.1.27-1
               deepin-control-center              4.5.5-1              4.6.1-1
              deepin-desktop-schemas             3.2.14-1             3.2.15-1
                         deepin-dock              4.6.6-2              4.6.7-1
                       deepin-editor              0.0.4-1              0.0.5-1
              deepin-go-dbus-factory              0.0.3-1              0.0.5-1
                       deepin-go-lib             1.2.11-1             1.2.14-1
                 deepin-image-viewer             1.2.22-1             1.2.23-1
                     deepin-launcher             4.3.10-3              4.4.1-1
                         deepin-menu              3.3.8-1             3.3.10-1
                        deepin-movie            1:3.2.7-1            1:3.2.8-1
                       deepin-mutter            3.20.30-1            3.20.31-1
                deepin-notifications              3.3.4-2                    -
              deepin-qt-dbus-factory              1.0.2-3              1.0.3-1
               deepin-qt5dxcb-plugin            1.1.9.1-1            1.1.9.2-1
               deepin-qt5integration              0.3.0-3              0.3.1-1
                   deepin-session-ui              4.4.5-3              4.4.7-1
                  deepin-sound-theme            15.10.2-1            15.10.3-1
                     deepin-terminal              3.0.0-2              3.0.1-1
                           deepin-wm             1.9.28-1             1.9.29-1
                          diffoscope                 95-2                 99-1
                             dtkcore          1:2.0.8.1-2            1:2.0.9-1
                           dtkwidget            2.0.8.1-4              2.0.9-1
                               dtkwm            2.0.8.1-3              2.0.9-1
                               eclib           20180710-3           20180710-4
           firefox-developer-edition             62.0b9-1            62.0b10-1
  firefox-developer-edition-i18n-ach             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-af             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-an             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ar             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-as             62.0b9-1            62.0b10-1
  firefox-developer-edition-i18n-ast             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-az             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-be             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-bg             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-bn-bd             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-bn-in             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-br             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-bs             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ca             62.0b9-1            62.0b10-1
  firefox-developer-edition-i18n-cak             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-cs             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-cy             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-da             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-de             62.0b9-1            62.0b10-1
  firefox-developer-edition-i18n-dsb             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-el             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-en-gb             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-en-us             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-en-za             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-eo             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-es-ar             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-es-cl             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-es-es             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-es-mx             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-et             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-eu             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-fa             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ff             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-fi             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-fr             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-fy-nl             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-ga-ie             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-gd             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-gl             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-gn             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-gu-in             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-he             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-hi-in             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-hr             62.0b9-1            62.0b10-1
  firefox-developer-edition-i18n-hsb             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-hu             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-hy-am             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ia             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-id             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-is             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-it             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ja             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ka             62.0b9-1            62.0b10-1
  firefox-developer-edition-i18n-kab             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-kk             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-km             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-kn             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ko             62.0b9-1            62.0b10-1
  firefox-developer-edition-i18n-lij             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-lt             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-lv             62.0b9-1            62.0b10-1
  firefox-developer-edition-i18n-mai             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-mk             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ml             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-mr             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ms             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-my             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-nb-no             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-ne-np             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-nl             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-nn-no             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-or             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-pa-in             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-pl             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-pt-br             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-pt-pt             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-rm             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ro             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ru             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-si             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-sk             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-sl             62.0b9-1            62.0b10-1
  firefox-developer-edition-i18n-son             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-sq             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-sr             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-sv-se             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ta             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-te             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-th             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-tr             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-uk             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-ur             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-uz             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-vi             62.0b9-1            62.0b10-1
   firefox-developer-edition-i18n-xh             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-zh-cn             62.0b9-1            62.0b10-1
firefox-developer-edition-i18n-zh-tw             62.0b9-1            62.0b10-1
                            fwupdate                 11-1                 12-1
                           git-annex        6.20180626-47         6.20180719-1
                               gloox             1.0.20-1             1.0.21-1
                               gmrun              0.9.2-7             0.9.4w-1
                      haskell-hakyll          4.12.3.0-71          4.12.3.0-72
                  haskell-yesod-test             1.6.4-66              1.6.5-1
                             hindent             5.2.5-66              5.2.6-1
                         hledger-web              1.10-18              1.10-19
                               lcalc              1.23-16              1.23-17
                             libgiac           1.4.9.69-6           1.4.9.69-7
                             mathjax              2.7.4-1              2.7.5-1
                           musescore                2.3-1              2.3.1-1
                              neovim              0.3.0-1              0.3.1-1
                               opera       54.0.2952.54-1       54.0.2952.60-1
                              pandoc              2.2.2-5            2.2.2.1-1
                     pandoc-citeproc          0.14.3.1-92          0.14.3.1-93
                     pandoc-crossref           0.3.2.1-45           0.3.2.1-46
                  papirus-icon-theme           20180601-1           20180720-1
                                pari              2.9.5-1             2.11.0-1
                              ps_mem               3.11-1               3.12-1
                       python-celery              4.2.0-1              4.2.1-1
                      python-cypari2              1.2.1-1              1.2.1-2
                    python-cysignals              1.7.2-1              1.7.2-3
                           python-fs             2.0.24-1             2.0.25-1
                       python-jaraco         2017.11.25-1         2018.07.20-1
                      python-mistune              0.8.1-1              0.8.3-1
                   python-ptyprocess              0.5.2-1              0.6.0-1
                      python-vobject              0.9.6-1            0.9.6.1-1
                      python2-celery              4.2.0-1              4.2.1-1
                     python2-cypari2              1.2.1-1              1.2.1-2
                   python2-cysignals              1.7.2-1              1.7.2-3
                          python2-fs             2.0.24-1             2.0.25-1
                      python2-jaraco         2017.11.25-1         2018.07.20-1
                     python2-mistune              0.8.1-1              0.8.3-1
                  python2-ptyprocess              0.5.2-1              0.6.0-1
                     python2-vobject              0.9.6-1            0.9.6.1-1
                                qcad           3.21.2.1-2           3.21.2.2-1
                                qtox             1.16.1-1             1.16.2-2
                            sagemath               8.2-13               8.2-14
                    sagemath-jupyter               8.2-13               8.2-14
                          shellcheck             0.5.0-58             0.5.0-59
                           skk-jisyo           20180701-1           20180715-1
                       subdownloader           2.1.0rc4-1           2.1.0rc4-2
                            tigervnc              1.8.0-4              1.9.0-1
                               v2ray             3.30.1-1               3.31-1
                          vdirsyncer             0.16.6-1             0.16.7-1
                                xcas           1.4.9.69-6           1.4.9.69-7
                               zcash              1.1.1-1              1.1.2-1
                            zita-at1              0.6.0-4              0.6.0-6
                           zita-bls1              0.1.0-4              0.1.0-5
                           zita-dpl1              0.1.0-4              0.1.0-5
                           zita-rev1              0.2.1-3              0.2.1-4
                deepin-network-utils                    -              0.0.3-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-19           2018-07-21
-------------------------------------------------------------------------------
                                lvm2           2.02.177-5                    -
                      linux-firmware                    -   20180717.8d69bab-0


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-19           2018-07-21
-------------------------------------------------------------------------------
                       device-mapper           2.02.179-1           2.02.180-1
                                lvm2           2.02.179-1           2.02.180-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-19           2018-07-21
-------------------------------------------------------------------------------
                               pamac              6.4.0-3              6.4.0-4
             pamac-tray-appindicator              6.4.0-3              6.4.0-4


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-19           2018-07-21
-------------------------------------------------------------------------------
                         compiler-rt              6.0.1-1              6.0.1-2
                              ffmpeg            1:4.0.1-3            1:4.0.2-1
                                 gdm            3.28.2-1 3.28.2+19+g161f3462-1
                     gnome-bluetooth             3.28.0-1             3.28.1-1
                         gnome-shell 3.28.2+15+g9c51c87d8-1           3.28.3-1
                           gst-libav             1.14.1-1             1.14.2-1
                     gst-plugins-bad             1.14.1-2             1.14.2-1
                    gst-plugins-base             1.14.1-1             1.14.2-1
               gst-plugins-base-libs             1.14.1-1             1.14.2-1
                    gst-plugins-good             1.14.1-1             1.14.2-1
                    gst-plugins-ugly             1.14.1-1             1.14.2-1
                           gstreamer             1.14.1-1             1.14.2-1
                     gstreamer-vaapi             1.14.1-1             1.14.2-1
                              libgdm            3.28.2-1 3.28.2+19+g161f3462-1
                                lynx              2.8.8-5              2.8.9-1
                              mutter 3.28.2+20+gca4209d88-1           3.28.3-1
                 networkmanager-vpnc              1.2.4-3              1.2.6-1
                               pango             1.42.1-1             1.42.2-1
                  perl-exporter-tiny           1.000000-2           1.002001-1
                                 php              7.2.7-2              7.2.8-1
                          php-apache              7.2.7-2              7.2.8-1
                             php-cgi              7.2.7-2              7.2.8-1
                           php-dblib              7.2.7-2              7.2.8-1
                           php-embed              7.2.7-2              7.2.8-1
                         php-enchant              7.2.7-2              7.2.8-1
                             php-fpm              7.2.7-2              7.2.8-1
                              php-gd              7.2.7-2              7.2.8-1
                            php-imap              7.2.7-2              7.2.8-1
                            php-intl              7.2.7-2              7.2.8-1
                            php-odbc              7.2.7-2              7.2.8-1
                           php-pgsql              7.2.7-2              7.2.8-1
                          php-phpdbg              7.2.7-2              7.2.8-1
                          php-pspell              7.2.7-2              7.2.8-1
                            php-snmp              7.2.7-2              7.2.8-1
                          php-sodium              7.2.7-2              7.2.8-1
                          php-sqlite              7.2.7-2              7.2.8-1
                            php-tidy              7.2.7-2              7.2.8-1
                             php-xsl              7.2.7-2              7.2.8-1
                              polari  3.28.0+1+g76863ad-1             3.28.1-1
                                 qbs             1.11.1-1             1.12.0-2
                           qtcreator              4.6.2-3              4.7.0-1
                         quota-tools             1:4.04-1             1:4.04-2
                                sddm             0.17.0-5             0.18.0-1
                         spirv-tools             2018.2-1             2018.4-1
              xdg-desktop-portal-kde             5.13.3-2             5.13.3-3
                           zxing-cpp                    -        git20180320-2


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-19           2018-07-21
-------------------------------------------------------------------------------
                         lib32-pango             1.42.1-1             1.42.2-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


Ready for Stable ?!?

  • We are ready to move this to our stable branch
  • I still see some issues (post about them)

0 voters


#2

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Items from previous update sets

Issues with folder view widget in KDE v5.13

KDE introduced a new setting for icon sizes. Now you’re able to define also the size for your panel. If you have a high-DPI display, you may want to increase the value. This will fix the display issue with given widget.

icon-kde-513

Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. It may be necessary to merge (some lines related to “GSettings” in /etc/pulse/default.pa ) if ‘default.pa’ has been customised.

File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.


Kernel 4.9 issues

Seems on rare conditions you may face a faulty boot with linux49. It results in messages similar like this: <module> likely not compiled with -mcmodel=kernel. Also you will land in the emergency console.

We recommend to install at least another kernel as backup. You may follow this post to recover. v4.9.107-2 is known to be working.


:: alpm-octopi-utils: installing “pacman” (5.1.0-2) breaks the dependency with «pacman <5.1»

Make sure your mirrors are up-to-date. All package management tools should be compatible with pacman 5.1


:: ffmpeg2.8: installing x265 (2.8-1) breaks dependency ‘libx265.so=151-64’

ffmpeg2.8 is no longer in the repos. Remove it, and if you need it, rebuild/reinstall it from the AUR.


gcc54 and gcc5 are in conflict

For those using CUDA, if this error comes up, run the update from terminal
sudo pacman -Syyu
and type YES to replace gcc5 with gcc54


Extension “Workspace to Dock” is bugged

Be careful like there is a bug if you use the Extension “Workspace to Dock”. You need to update/install this version in ~/.local/share/gnome-shell/extensions/ for not have desktop freeze after reboot : https://github.com/passingthru67/workspaces-to-dock/archive/master.zip

Thanks for nabd who have solved this issue : [Testing Update] 2018-05-11 - Kernels, GCC8, Gnome 3.28.2, Cinnamon, KDE Apps 18.04.1, LibreOffice


I see a lot of pacnew files

Well, there is no manual intervention needed for pacnew files coming from filesystem package. The best thing you can do is, do nothing.

Never, ever, ever, ever, ever merge the pacnew file for /etc/{passwd,shadow,gshadow,group}, unless you want to make the new comments match aesthetically with your in-use user accounts database. The only practical difference that merging can ever cause is to accidentally delete users or mangle the whole file’s syntax and render your computer maybe unbootable.

More advice in this regard you may find here.


Nvidia drivers and Fermi support

With the current Nvidia driver release v396.24, support for the old Fermi cards got dropped. Please switch either over to Nouveau driver or downgrade to v390xx driver series.

Bumblebee users follow:

sudo mhwd -r pci video-hybrid-intel-nvidia-bumblebee
sudo mhwd -i pci video-hybrid-intel-nvidia-390xx-bumblebee

Normal users follow:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-390xx

To switch to opensource drivers do:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-linux


Changes made to Glibc

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.


Changes made to PAM

pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Check grep -rn 'pam_unix[2_]' /etc/pam.d, if no output, you need to do nothing.


Samba units renamed

Note: In samba 4.8.0-1, the units were renamed from smbd.service and nmbd.service to smb.service and nmb.service.

To provide basic file sharing through SMB start/enable smb.service and/or nmb.service services. See the smbd(8) and nmbd(8) man pages for details, as the nmb.service service may not always be required.


Directory permissions differ

Directory permissions differ on /var/lib/samba/private/
filesystem: 755 package: 700

sudo chmod 700 /var/lib/samba/private/


Samba - Error 255: net usershare add: cannot convert name “Everyone” to a SID.

Currently there seems to be an issue when using group = sambashare with Samba 4.8.1-1, which is used by default in thesmb.conf provided by Manjaro. Changing it to group = +sambashare or force group = +sambashare resolves this. However, we might fill out a bug report, to see why that is currently needed.

Commenting/removing group = sambashare is also a viable solution.


Long delay for starting Desktop Environment

There’s a bug which is exhausting the entropy pool. This is refilled over time through e.g. disk activity and mouse movement. You can increase the fill rate with a software solution:

sudo pacman -S haveged
sudo systemctl enable haveged
sudo systemctl start haveged

An alternative method if activating the haveged service is not something you want to do is to press the shift key 8-10 times in succession.


#3

Here is the list of all package changes so far. It will be again a larger update for our stable branch.


#4

Xfce, intel graphic, smooth update.

Exeption: Since 2018-07-14 [Testing Update] right-clicking the NetorkManager tray icon, (wireless) internet speed says “unknown”, but it works. Before it detected the current speed.


#5

ssl certificate expired:


#6

KDE NetworkManager tray icon details tab is fixed conversely to XFCE as reported above. after it being reported not working last time, now it is. it has the network speed detected properly again. so what fixed one broke the other?

edit - I retract that statement. it seems the wireless network still says 0 Bit/s while the wired reports the correct value.

01:00.0 Network controller: Intel Corporation Centrino Wireless-N 2230 (rev c4)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 07)

#7

Will you update 17’ ISO to 17.1.12 after Stable Update?


#8

@fhdk Is saving mirrors that have errors expected behaviour?

$ sudo pacman-mirrors -f0
   ..... Germany        : https://mirror.philpot.de/manjaro/
.: ERROR [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:841) 'https://mirror.philpot.de/manjaro/'
[...]
   ..... Turkey         : http://ftp.linux.org.tr/manjaro/
.: ERROR Forbidden 'http://ftp.linux.org.tr/manjaro/'

Both https://mirror.philpot.de and http://ftp.linux.org.tr were written to the mirrorlist.


#9

It’s nice to see firefox-kde-opensuse back in official repos! Very good addition. Great work as always guys.


#10

Mirrors which fails for one reason or another is not written to the mirrorlist.

Examine the list carefully and eg. philpot.de offers both http and https and only the http mirror is written to the mirror list.


#11

My mistake, the forbidden error is not saved. But the SSL error saves.

$ sudo rm -f /var/lib/pacman-mirrors/custom-mirrors.json && sudo pacman-mirrors -f0
.: INFO Downloading mirrors from repo.manjaro.org
.: INFO Using default mirror file
.: INFO Querying mirrors - This may take some time
   0.952 Australia      : http://manjaro.melbourneitmirror.net/
   0.574 Austria        : http://mirror.inode.at/manjaro/
   0.596 Bangladesh     : http://mirror.xeonbd.com/manjaro/
   0.695 Belarus        : http://mirror.datacenter.by/pub/mirrors/manjaro/
   1.261 Belgium        : https://manjaro.cu.be/
   1.175 Belgium        : https://mirror.futureweb.be/manjaro/
   0.621 Belgium        : http://mirror.futureweb.be/manjaro/
   1.257 Brazil         : https://manjaro.c3sl.ufpr.br/
   0.846 Brazil         : http://mirror.ufam.edu.br/manjaro/
   1.372 Bulgaria       : https://mirrors.netix.net/manjaro/
   1.359 Bulgaria       : https://manjaro.ipacct.com/manjaro/
   0.974 Bulgaria       : http://manjaro.telecoms.bg/
   1.098 Canada         : https://osmirror.org/manjaro/
   0.685 Chile          : http://manjaro.dcc.uchile.cl/
   1.389 China          : https://mirrors.shu.edu.cn/manjaro/
   0.771 China          : http://mirrors.shu.edu.cn/manjaro/
   ..... China          : ftp://mirrors.shu.edu.cn/manjaro/
   1.381 China          : https://mirrors.shuosc.org/manjaro/
   ..... China          : ftp://mirrors.shuosc.org/manjaro/
   1.404 China          : https://mirrors.sjtug.sjtu.edu.cn/manjaro/
   0.592 Colombia       : http://mirror.upb.edu.co/manjaro/
   1.086 Costa_Rica     : https://mirrors.ucr.ac.cr/manjaro/
   1.098 Czech          : https://mirror.dkm.cz/manjaro/
   1.293 Denmark        : https://mirrors.dotsrc.org/manjaro/
   1.337 Denmark        : https://www.uex.dk/public/manjaro/
   1.189 Ecuador        : https://mirror.cedia.org.ec/manjaro/
   1.307 Ecuador        : https://mirror.espoch.edu.ec/manjaro/
   0.674 France         : http://ftp.free.org/mirrors/repo.manjaro.org/repos/
   ..... France         : ftp://ftp.free.org/mirrors/repo.manjaro.org/repos/
   0.614 France         : http://kibo.remi.lu/
   0.644 Germany        : http://mirror.ragenetwork.de/manjaro/
   1.500 Germany        : https://ftp.halifax.rwth-aachen.de/manjaro/
   ..... Germany        : ftp://ftp.halifax.rwth-aachen.de/manjaro/
   1.546 Germany        : https://mirror.netzspielplatz.de/manjaro/packages/
   1.260 Germany        : https://repo.rhindon.net/manjaro/
   ..... Germany        : https://mirror.philpot.de/manjaro/
.: ERROR [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:841) 'https://mirror.philpot.de/manjaro/'

   0.603 Germany        : http://mirror.philpot.de/manjaro/
   1.581 Germany        : https://manjaro.moson.eu/
   0.651 Germany        : http://manjaro.moson.eu/
   1.392 Greece         : https://ftp.cc.uoc.gr/mirrors/linux/manjaro/
   0.707 Greece         : http://ftp.cc.uoc.gr/mirrors/linux/manjaro/
   ..... Greece         : ftp://ftp.cc.uoc.gr/mirrors/linux/manjaro/
   0.261 Hong_Kong      : http://ftp.cuhk.edu.hk/pub/Linux/manjaro/
   1.459 Hong_Kong      : ftp://ftp.cuhk.edu.hk/pub/Linux/manjaro/
   1.678 Hungary        : https://quantum-mirror.hu/mirrors/pub/manjaro/
   0.653 Hungary        : http://quantum-mirror.hu/mirrors/pub/manjaro/
   0.221 Indonesia      : http://kartolo.sby.datautama.net.id/manjaro/
   1.764 Iran           : https://repo.sadjad.ac.ir/manjaro/
   1.016 Iran           : http://repo.sadjad.ac.ir/manjaro/
   1.379 Italy          : https://manjaro.mirror.garr.it/mirrors/manjaro/
   1.480 Italy          : https://ba.mirror.garr.it/mirrors/manjaro/
   1.292 Italy          : https://ct.mirror.garr.it/mirrors/manjaro/
   1.132 Netherlands    : https://ftp.nluug.nl/pub/os/Linux/distr/manjaro/
   ..... Netherlands    : ftp://ftp.nluug.nl/pub/os/Linux/distr/manjaro/
   0.569 Netherlands    : http://ftp.snt.utwente.nl/pub/linux/manjaro/
   ..... Netherlands    : ftp://ftp.snt.utwente.nl/pub/linux/manjaro/
   1.118 Netherlands    : https://mirror.koddos.net/manjaro/
   0.448 Philippines    : http://mirror.rise.ph/manjaro/
   1.111 Poland         : https://mirror.tuchola-dc.pl/manjaro/
   0.655 Poland         : http://mirror.tuchola-dc.pl/manjaro/
   0.713 Portugal       : http://manjaro.barata.pt/
   0.739 Romania        : http://mirrors.serverhost.ro/manjaro/packages/
   1.232 Russia         : https://mirror.yandex.ru/mirrors/manjaro/
   0.830 Russia         : http://mirror.truenetwork.ru/manjaro/
   0.949 South_Africa   : http://mirror.is.co.za/mirrors/manjaro.org/
   1.371 South_Africa   : http://manjaro.mirror.ac.za/
   ..... South_Africa   : ftp://manjaro.mirror.ac.za/
.: ERROR ftp error: URLError('ftp error: error_perm("550 Can\'t change directory to state: No such file or directory",)',) 'ftp://manjaro.mirror.ac.za/'

   1.185 Spain          : http://ftp.caliu.cat/manjaro/
   1.469 Sweden         : https://ftp.lysator.liu.se/pub/manjaro/
   ..... Sweden         : ftp://ftp.lysator.liu.se/pub/manjaro/
   1.290 Sweden         : https://mirror.zetup.net/manjaro/
   0.092 Taiwan         : http://free.nchc.org.tw/manjaro/
   ..... Turkey         : http://ftp.linux.org.tr/manjaro/
.: ERROR Forbidden 'http://ftp.linux.org.tr/manjaro/'

   ..... Turkey         : ftp://ftp.linux.org.tr/manjaro/
   0.585 United_Kingdom : http://mirror.catn.com/pub/manjaro/
   0.743 United_Kingdom : http://repo.manjaro.org.uk/
   1.115 United_Kingdom : https://www.mirrorservice.org/sites/repo.manjaro.org/repos/
   0.577 United_Kingdom : http://manjaro.mirrors.uk2.net/
   0.438 United_States  : http://distro.ibiblio.org/manjaro/
   0.606 United_States  : https://mirrors.ocf.berkeley.edu/manjaro/
   0.857 United_States  : https://mirror.math.princeton.edu/pub/manjaro/
   1.024 Vietnam        : https://manjaro.chocomint.co/manjaro/
.: INFO Writing mirror list
   Taiwan          : http://free.nchc.org.tw/manjaro/testing
   Indonesia       : http://kartolo.sby.datautama.net.id/manjaro/testing
   United_States   : http://distro.ibiblio.org/manjaro/testing
   Philippines     : http://mirror.rise.ph/manjaro/testing
   Austria         : http://mirror.inode.at/manjaro/testing
   United_Kingdom  : http://manjaro.mirrors.uk2.net/testing
   United_Kingdom  : http://mirror.catn.com/pub/manjaro/testing
   Colombia        : http://mirror.upb.edu.co/manjaro/testing
   Bangladesh      : http://mirror.xeonbd.com/manjaro/testing
   Germany         : https://mirror.philpot.de/manjaro/testing
   United_States   : https://mirrors.ocf.berkeley.edu/manjaro/testing
   France          : http://kibo.remi.lu/testing
   Belgium         : https://mirror.futureweb.be/manjaro/testing
   Belgium         : https://mirror.futureweb.be/manjaro/testing/$repo/$archtesting
   Germany         : http://mirror.ragenetwork.de/manjaro/testing
   Germany         : https://manjaro.moson.eu/testing
   Germany         : https://manjaro.moson.eu/testing/$repo/$archtesting
   Hungary         : https://quantum-mirror.hu/mirrors/pub/manjaro/testing
   Hungary         : https://quantum-mirror.hu/mirrors/pub/manjaro/testing/$repo/$archtesting
   Poland          : https://mirror.tuchola-dc.pl/manjaro/testing
   Poland          : https://mirror.tuchola-dc.pl/manjaro/testing/$repo/$archtesting
   Chile           : http://manjaro.dcc.uchile.cl/testing
   Belarus         : http://mirror.datacenter.by/pub/mirrors/manjaro/testing
   Portugal        : http://manjaro.barata.pt/testing
   Romania         : http://mirrors.serverhost.ro/manjaro/packages/testing
   United_Kingdom  : http://repo.manjaro.org.uk/testing
   Russia          : http://mirror.truenetwork.ru/manjaro/testing
   Brazil          : http://mirror.ufam.edu.br/manjaro/testing
   United_States   : https://mirror.math.princeton.edu/pub/manjaro/testing
   South_Africa    : http://mirror.is.co.za/mirrors/manjaro.org/testing
   Australia       : http://manjaro.melbourneitmirror.net/testing
   Bulgaria        : http://manjaro.telecoms.bg/testing
   Iran            : https://repo.sadjad.ac.ir/manjaro/testing
   Iran            : https://repo.sadjad.ac.ir/manjaro/testing/$repo/$archtesting
   Vietnam         : https://manjaro.chocomint.co/manjaro/testing
   Costa_Rica      : https://mirrors.ucr.ac.cr/manjaro/testing
   Canada          : https://osmirror.org/manjaro/testing
   Czech           : https://mirror.dkm.cz/manjaro/testing
   United_Kingdom  : https://www.mirrorservice.org/sites/repo.manjaro.org/repos/testing
   Netherlands     : https://mirror.koddos.net/manjaro/testing
   Spain           : http://ftp.caliu.cat/manjaro/testing
   Ecuador         : https://mirror.cedia.org.ec/manjaro/testing
   Russia          : https://mirror.yandex.ru/mirrors/manjaro/testing
   Brazil          : https://manjaro.c3sl.ufpr.br/testing
   Germany         : https://repo.rhindon.net/manjaro/testing
   Belgium         : https://manjaro.cu.be/testing
   Sweden          : https://mirror.zetup.net/manjaro/testing
   Italy           : https://ct.mirror.garr.it/mirrors/manjaro/testing
   Denmark         : https://mirrors.dotsrc.org/manjaro/testing
   Ecuador         : https://mirror.espoch.edu.ec/manjaro/testing
   Denmark         : https://www.uex.dk/public/manjaro/testing
   Bulgaria        : https://manjaro.ipacct.com/manjaro/testing
   Bulgaria        : https://mirrors.netix.net/manjaro/testing
   Italy           : https://manjaro.mirror.garr.it/mirrors/manjaro/testing
   China           : https://mirrors.sjtug.sjtu.edu.cn/manjaro/testing
   Hong_Kong       : http://ftp.cuhk.edu.hk/pub/Linux/manjaro/testing
   Hong_Kong       : http://ftp.cuhk.edu.hk/pub/Linux/manjaro/testing/$repo/$archtesting
   Italy           : https://ba.mirror.garr.it/mirrors/manjaro/testing
   Germany         : https://mirror.netzspielplatz.de/manjaro/packages/testing
   Netherlands     : https://ftp.nluug.nl/pub/os/Linux/distr/manjaro/testing
   Netherlands     : http://ftp.snt.utwente.nl/pub/linux/manjaro/testing
   China           : https://mirrors.shu.edu.cn/manjaro/testing
   China           : https://mirrors.shu.edu.cn/manjaro/testing/$repo/$archtesting
   China           : https://mirrors.shuosc.org/manjaro/testing
   France          : http://ftp.free.org/mirrors/repo.manjaro.org/repos/testing
   Germany         : https://ftp.halifax.rwth-aachen.de/manjaro/testing
   Sweden          : https://ftp.lysator.liu.se/pub/manjaro/testing
   Greece          : https://ftp.cc.uoc.gr/mirrors/linux/manjaro/testing
   Greece          : https://ftp.cc.uoc.gr/mirrors/linux/manjaro/testing/$repo/$archtesting
.: INFO Mirror list generated and saved to: /etc/pacman.d/mirrorlist
[yena@manjaro-pc ~]$ 
[yena@manjaro-pc ~]$ cat /etc/pacman.d/mirrorlist | grep 'mirror.philpot\|mirror.ac.za\|linux.org.tr'
Server = https://mirror.philpot.de/manjaro/testing/$repo/$arch

#12

I can see that.

I also know why.

Mirrors are stored as json data with an item named protocols

    {
        "branches": [
            1,
            1,
            1
        ],
        "country": "Germany",
        "last_sync": "00:01",
        "protocols": [
            "http",
            "https"
        ],
        "url": "https://mirror.philpot.de/manjaro/"
    }

As pacman-mirrors probes the mirrors it loops the available protocols which has been sorted in decending order so it probes https first and secondly http etc.

The first probe assign the mirror a response time of 9999:99 to the https protocol but as the subsequent probe on the http protocol returns a valid response within the alotted time the mirror now gets the new response time of s.mss.

When the mirrors is written to the mirrorlist - again https is proritized over http and since the mirror now has a valid reponse time the https protocol is written to the mirror list.

The behavior is expected - what is not expected is a mirror to have an expired certificate, which in this case results in undesired behavior.


#13

All work fine.

Can you update python to 3.7?


#14

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.